Public Class Form1


    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Create a CheckBox.
        Dim CheckStrip As New CheckBox()

        ' Set the CheckBox so it takes the size of its text.
        CheckStrip.AutoSize = True
        CheckStrip.Text = "Sample CheckBox in ToolStrip"

        ' Make sure the CheckbBox is transparent (so the 
        ' ToolStrip gradient background shows through).
        CheckStrip.BackColor = Color.FromArgb(0, 255, 0, 0)

        ' Create the ToolStripControlHost that wraps the CheckBox.
        Dim CheckStripHost As New ToolStripControlHost(CheckStrip)

        ' Set the ToolStripControlHost to take the full width
        ' of the control it wraps.
        CheckStripHost.AutoSize = True

        ' Add the wrapped CheckBox.
        ToolStrip1.Items.Add(CheckStripHost)

    End Sub

    Private Sub NewToolStripButton_Click(ByVal sender As System.Object, _
  ByVal e As System.EventArgs) Handles NewToolStripButton.Click
        Dim item As ToolStripItem = CType(sender, ToolStripItem)
        MessageBox.Show("You clicked " & item.Name)
    End Sub

End Class
